spring:
  main:
    banner-mode: off
  profiles:
    active: ${PROFILE:test}
  datasource:
    url: jdbc:postgresql://${db_hostname:localhost}:${db_port:5432}/${db_schema:postgres}
    password: ${db_password:mysecretpassword}
    username: ${db_username:postgres}
  jpa:
    hibernate:
      ddl-auto: update
    properties:
      hibernate:
        dialect: org.hibernate.dialect.PostgreSQLDialect
        format_sql: true
    show-sql: true
  liquibase:
    enabled: false
#    change-log: classpath:db/changelog/db.changelog-${ACTIVE_PROFILE:master}.yaml
  autoconfigure:
    exclude: org.springframework.boot.autoconfigure.security.servlet.UserDetailsServiceAutoConfiguration

security:
  jwt-secret: SGVsbG8uIE1hbnkgbmFtZSBpcyBIdXNleW4gR3VsaXlldi4gSSdtIDM0IHllYXJzIG9sZC9hY2Nlc3MK
  jwt-expiration-milliseconds: 120000
  jwt-refresh-expiration-milliseconds: 300000


logging:
  level:
    ROOT: warn
    org:
      hibernate:
        sql: trace









